// #######################################
// ---------------------------------------
// ---------------------------------------
// PFC - prefrontal cortex
// ---------------------------------------
// Full Android Sensor Access for Unity3D
// ---------------------------------------
// Contact:
// 		contact.prefrontalcortex@gmail.com
// ---------------------------------------
// #######################################


using UnityEngine;
using System.Collections;
using System;

public class LoaderGUI : MonoBehaviour {
	
	[Serializable]
	public class SceneData {
		public string name;
		public string path;
	}
	
	public SceneData[] scenes;
	public GUISkin guiSkin;
	
	Vector2 scrollVector = Vector2.zero;
	void OnGUI() {
		
		GUI.color = Color.white;
		GUI.skin = guiSkin;
		
		// Screen.height - Screen.height / 5
		scrollVector = GUI.BeginScrollView(new Rect(Screen.width/2 - 100, Screen.height/10, 230, Screen.height * 0.8f), scrollVector, new Rect(0,0,200,scenes.Length * 50 + 50));
		
//		GUILayout.BeginArea(new Rect(0, 0, 300, scenes.Length * 50));
		
		foreach(SceneData s in scenes)
		if(GUILayout.Button(s.name, GUILayout.Height(50), GUILayout.Width(200)))
		{
			Debug.Log("Loading scene: " + s.name);
			Application.LoadLevel(s.path);
		}
		
//		GUILayout.EndArea();
		
		GUI.EndScrollView();
	}
}
