﻿using UnityEngine;
using System.Collections;

public class MazeGameController : MonoBehaviour {
	
	public enum GameMode 
	{
		Easy, Hard
	}	
	public GameMode Mode;
	
	public static MazeField Field;
	
	private TankController tank;
	
	void Start() 
	{
		StartGame(GameMode.Easy);
		tank = TankFactory.PlaceTank(TankController.Side.Player, 3, MazeGameController.Field.Height - 1);
		
		TankFactory.PlaceTank(TankController.Side.Enemy, 0, 1);		
		TankFactory.PlaceTank(TankController.Side.Enemy, 0, 5);
		TankFactory.PlaceTank(TankController.Side.Enemy, 0, 9);
		
		if(Application.platform == RuntimePlatform.Android)
			tank.gameObject.AddComponent<TankGyroController>();		
		else 
		tank.gameObject.AddComponent<TankKeyboardController>();		
		
		//gameObject.AddComponent<FieldDebug>();
	}
	
	// Use this for initialization
	void StartGame (GameMode mode) 
	{
		if(MazeGameController.Field != null)
			MazeGameController.Field.Destroy();
		
		MazeGameController.Field = MazeFieldGenerator.GenerateNewField(11, 11);
	}	
	
	void Shoot() {
		tank.Shoot();
	}
}
