﻿using UnityEngine;
using System.Collections;

public static class TankFactory
{		
	public static TankController PlaceTank(TankController.Side side, int x, int y) 
	{
		Transform tankT = (GameObject.Instantiate(Resources.Load("Prefabs/Tank")) as GameObject).transform;
		
		var tank = tankT.gameObject.GetComponent<TankController>();
		tank.atCell = new Int2(x, y);
		
		tankT.parent = MazeGameViewController.sharedInstance.Background.transform.parent;
		tankT.localScale = new Vector3(24, 24, 1);
		tankT.localPosition = MazeField.GetCellCoords(x,y);
				
		tankT.tag = (side == TankController.Side.Player) ? "Player" : "Enemy";
		tank.Direction = TankController.DirectionEnum.Up;
		
//		if(side == TankController.Side.Enemy) {
//			tank.gameObject.AddComponent<TankAIController>();
//		}
		
		return tank;
	}
}
