﻿using UnityEngine;
using System.Collections;

public class TankProjectile : MonoBehaviour {
	
	public float Speed = 96;
	
	void Start() {
		Destroy(gameObject, 4);
	}
	
	// Update is called once per frame
	void Update () {
		transform.localPosition += transform.right * Speed * Time.deltaTime;
	}
	
	void OnTriggerEnter(Collider col) {
		if(col.tag.Equals("Cell")) {
			var cell = col.gameObject.GetComponent<MazeFieldCell>();
			if(cell) {
				if(cell.ForProjectile != MazeFieldCell.ProjectileBehaviour.None)
				{
					cell.SendMessage("Hit", SendMessageOptions.DontRequireReceiver);
					Destroy(this.gameObject);
				} 
			}		else Destroy(gameObject);
		}
		
		if(col.tag.Equals("Tank")) {
			col.SendMessage("Hit", SendMessageOptions.DontRequireReceiver);
			Destroy(gameObject);
		}
	}
}
